  <template>
  <div >
    <div class="row">
      <div class="column col-8">
        <h1 class="row">Bank Accounts/Signature Cards</h1>
      </div>
      <div class="column col-4">
        <p style="float:right">
          {{lastUpdated}}
        </p>
      </div>
  </div>
  <div>
    <section>
      <label class="row" style="margin-top: 2rem;">Choose a session:</label>
      <select
        @change="ChangeSession"
        class="custom-select row col-4"
        style="margin-bottom: 2rem;"
        v-model="selectedSessionId">
        <option
          :key="session.id"
          v-for="session in sessions" :value="session.id"
          :selected="session.id === selectedSessionId ? true : false">{{session.date + ' - ' +    session.school}}
        </option>
      </select>
      <label class="row" for="directions">Type student's name in the field, press Tab key or Enter/Return key to save name.</label>
    </section>
  </div>
  <div class="row" >
    <div class="column col-2">
      <strong>Account #</strong>
    </div>
    <div class="column col-10">
      <strong>Name</strong>
    </div>
  </div>
  <template v-if="accounts.length > 0">
    <div class="row form-group" v-for="account in accounts" :key="account.id" >
      <div class="column col-2">{{account.accountId}}</div>
      <div class="column col-4">
        <input @keydown.tab.enter="UpdateAccount(account)" class="form-control"  v-model="account.name">
      </div>
    </div>
  </template>
</div>
</template>

<script>
export default {
  data() {
    return {
    accounts:[],
    sessions:[],
    selectedSessionId:null,
    lastUpdated:''
    }
  },
  created(){
    app.api.Get("sessions/").then(response => {
      this.sessions = response;
    });
  },
  methods:{
    GetAccounts(){
      app.api.Get("accounts/individualBySessionId/" + this.selectedSessionId).then(response => {
        this.accounts = response;
      });
    },
    UpdateAccount(account){
        app.api.Put("accounts/" + account.id, account).then(response => {
        // app.Message( "Name updated", "success" );
        // update time stamp
        this.UpdateTimestamp();
      });
    },
    ChangeSession(event){
      this.GetAccounts();
    },
    UpdateTimestamp(){
      this.lastUpdated = 'Saved: ' + this.moment.utc().local().format('MMM Do h:mm:ss A');
    }
  }
}
</script>

<style>
input, textarea{
    /* background-color:#f1f1f1 !important;
    color: #404040; */
}
</style>